/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rest.student;

import java.util.LinkedList;
import java.util.List;
import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import model.Student;

/**
 *
 * @author student
 */
@Path("student")
public class StudentRest {
    private static List<Student> studenti = new LinkedList<>();
    
    @POST
    @Path("sacuvaj")
    @Consumes(MediaType.APPLICATION_XML)
    @Produces(MediaType.TEXT_PLAIN)
    public String sacuvajStudenta(Student s) {
        // Validacija da li student postoji
        studenti.add(s);
        return "Student je sacuvan!";
    }
    
    @GET
    @Path("vrati_sve")
    @Produces(MediaType.APPLICATION_XML)
    public List<Student> vratiStudente() {
        return studenti;
    }
    
    @GET
    @Path("vrati_studenta/{bi}")
    @Produces(MediaType.APPLICATION_XML)
    public Student vratiStudenta(@PathParam("bi") String bi) {
        for (Student s : studenti) {
            if (s.getIndex().equals(bi)) {
                return s;
            }
        }
        return null;
    }
    
    
}
