/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package action;

import model.Korisnik;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.jms.Session;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import javax.transaction.UserTransaction;
import javax.ws.rs.core.GenericType;
import javax.ws.rs.core.Response;
import repozitorijum.Repozitorijum;
import rest.korisnik.KorisnikRest;
import webconstants.WebConstants;

/**
 *
 * @author student
 */
public class LoginAction extends AbstractAction {

    @Override
    public String execute(HttpServletRequest request) throws Exception {
        String korisnickoIme = request.getParameter("inputKorisnickoIme");
        String korisnickaSifra = request.getParameter("inputKorisnickaSifra");
        try {
            Korisnik korisnik = login(korisnickoIme, korisnickaSifra);
            HttpSession session = request.getSession(true);
            session.setAttribute(WebConstants.LOGIN_KORISNIK, korisnik);
            return WebConstants.PAGE_POCETNA;
        } catch (Exception ex) {
            throw ex;
        }

    }

    private Korisnik login(String korisnickoIme, String korisnickaSifra) throws Exception {
        try {
            KorisnikRest kr = new KorisnikRest();
            Korisnik k = new Korisnik(korisnickoIme);
            k.setKorisnickasifra(korisnickaSifra);
            Response response = kr.login(k);
            if (response.getStatus() == Response.Status.OK.getStatusCode()) {
                GenericType<Korisnik> gt = new GenericType<Korisnik>() {};
                return response.readEntity(gt);
            }
            throw new Exception("Sifra nije dobra");
        } catch (Exception e) {
            throw e;
        }
    }

}
