/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rest.config;

import java.util.HashSet;
import java.util.Set;
import javax.ws.rs.ApplicationPath;
import javax.ws.rs.core.Application;
import rest.korisnik.KorisnikRest;
import rest.student.StudentRest;
import rest.zdravo.ZdravoRest;
import service.KorisnikFacadeREST;

/**
 *
 * @author student
 */
@ApplicationPath("api")
public class AppConfig extends Application {

    @Override
    public Set<Class<?>> getClasses() {
        // Registracija rest servisa
        Set<Class<?>> resources = new HashSet<>();
        resources.add(ZdravoRest.class);
        resources.add(StudentRest.class);
        resources.add(KorisnikRest.class);
        resources.add(KorisnikFacadeREST.class);
        return resources;
    }
    
    
    
}
